Subject: Complaint Case # 37061383
From: "Michael B" <[email-masked]>
To: "BBB PROB - BBB of Western - Terry Glenn" <[email-masked]>
Date: Wed, 16 Dec 2015 10:36:01 -0500

Hello Terry.
I have responded to this person 3 times now. This person is obviously just being difficult or doesn't understand what is required of them as a corporation. Regardless, they are just putting the same response each time. This is a big waste of time! Can you just put this thing to rest? They have already been added to our Do Not Contact list so they aren't receiving contact from our company. there is nothing more that I can do for her. I appreciate your assistance.
Thank you,
Michael B
LLPS